{%- from "ironic/map.jinja" import api,conductor with context %}

{%- if api.get("enabled", False) %}
  {%- set ironic, service_name = api, 'api' %}
{%- elif conductor.get("enabled", False) %}
  {%- set ironic, service_name = conductor, 'conductor' %}
{%- endif %}

ironic_render_config:
  test.show_notification:
    - text: "Running ironic.upgrade.render_config"

/etc/ironic/ironic.conf:
  file.managed:
  - source: salt://ironic/files/{{ ironic.version }}/ironic.conf
  - template: jinja

{%- if ironic.get('concurrency', {}).lock_path is defined %}
ironic_upgrade_{{ service_name }}_lock_path_{{ ironic.concurrency.lock_path }}:
  file.directory:
  - name: {{ ironic.concurrency.lock_path }}
  - user: ironic
  - group: ironic
  - mode: 750
  - makedirs: True
{%- endif %}
